Summary:	Console interface bandwidth usage monitor
Summary(pl.UTF-8):	Konsolowy monitor użycia interfejsu sieciowego
Name:		bmon
Version:	4.0
Release:	1
License:	Artistic
Group:		Applications/Networking
Source0:	https://github.com/tgraf/bmon/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
# Source0-md5:	954afe2cedd8f972fc3903c10772a017
URL:		https://github.com/tgraf/bmon/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libconfuse-devel
BuildRequires:	libnl-devel
BuildRequires:	ncurses-devel
Conflicts:	nstats
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bmon is an interface bandwidth monitor.

It is able to generate and draw three types of diagrams:
- The overview diagram which is a list of all interfaces and their
  send/receive rates.
- A very MRTG like graphical diagram in ASCII showing the rate over a
  specific time period in a bar diagram.
- The details diagram which contains all counters of an interface such
  as total bytes sent/received, errors, compressed packets, ...

%description -l pl.UTF-8
bmon jest monitorem ruchu na interfejsach sieciowych.

Pozwala on na generowanie i rysowanie trzech typów diagramów:
- Diagram ogólny który wyświetla wszystkie interfejsy sieciowe i
  informacje o aktualnym zużyciu przepustowości
- Diagram ASCII podobny do generowanego przez MRTG, pokazujący
  informacje o przesyle danych w postaci wykresu paskowego
- Diagram szczegółowy który zawiera wszystkie liczniki danego
  interfejsu, takie jak całkowita liczba bajtów odebranych/wysłanych,
  błędy, skompresowane pakiety...

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%{__autoheader}
%configure
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_docdir}/bmon/examples/bmon.conf

cp -p examples/bmon.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS examples/bmon.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bmon.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man8/*
%changelog
* Sat Aug 19 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bmon.git;a=log;h=master

* Sat Aug 19 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e888fa8
- up to 4.0

* Fri Jan 02 2015 Jan Rękorajski <baggins@pld-linux.org> f29caba
- updated to 3.6
- dropped obsolete patches
- dropped devel subpackage (what was it for?)
- updated BRs

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 9d9e12b
- updated gettext BR

* Tue Aug 11 2009 Adam Gołębiowski <adamg@pld-linux.org> f40e049
- new

* Tue Aug 11 2009 Adam Gołębiowski <adamg@pld-linux.org> 28a72a0
- fix syntax errors (-gcc4.patch)
- disable libnl (-nl.patch) support, does not build with libnl > 0.5.0
- release 5

* Wed Nov 26 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f71284
- rel .4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0f7775a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2d29b51
- converted to UTF-8

* Wed Dec 20 2006 hawk <hawk@pld-linux.org> 7a5e9df
- release .3 to rebuild with PostgreSQL 8.2

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 337f5b3
- orphaned, outdated

* Fri Oct 14 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 65b42f5
- rebuild with new rrdtool

* Sun Jun 19 2005 undefine <undefine@pld-linux.org> a1fbfc1
- fix md5

* Sun Jun 19 2005 undefine <undefine@pld-linux.org> b728dd5
- up to 2.2.0 pre1

* Sun Jun 19 2005 undefine <undefine@pld-linux.org> 00d515c
- BR: libnl-devel, sort BR

* Sun Jun 19 2005 undefine <undefine@pld-linux.org> 8a84ebb
- builds on amd64

* Fri May 06 2005 Jan Wideł <jasw@pld-linux.org> 8b9c121
- up to 2.1.1-0.pre1.1
- add BR

* Tue Mar 08 2005 Jan Wideł <jasw@pld-linux.org> dcbd2d7
- up to 2.1.0-pre6

* Sun Mar 06 2005 Elan Ruusamäe <glen@pld-linux.org> b91d68b
- adapterized

* Sun Mar 06 2005 darekr <darekr@pld-linux.org> 08452d1
- %verify() for config file

* Fri Nov 05 2004 paladine <paladine@pld-linux.org> fce7d8f
- spaces->tabs
- cosmetics

